#!/usr/bin/make -f
# Copyright 2009 Steve Langasek <vorlon@debian.org>

VERSION = 2.3.4

# build should fail if anything at all is wrong with the library symbols
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
# always force the check for undefined symbols
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	# Add here commands to configure the package.
	CXXFLAGS="-g -O2 -pipe" \
	dh_auto_configure -- --enable-static --enable-ltdllib --without-pth \
		--enable-drivers --enable-driverc

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/odbc
	cp -L $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*S.so $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnn.so $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/odbc

override_dh_makeshlibs:
	dh_makeshlibs -X lib/$(DEB_HOST_MULTIARCH)/odbc/lib

override_dh_link:
	chmod a+x debian/libodbc1.links debian/odbcinst1debian2.links
	dh_link

get-orig-source:
	@echo "# Downloading..."
	wget -nv -T10 -t3 'ftp://ftp.unixodbc.org/pub/unixODBC/unixODBC-$(VERSION).tar.gz' -O ../xivo-unixodbc-packaging_$(VERSION).orig.tar.gz
